module "databases" {
  source = "./databases"

  use_wesher = var.use_wesher
}

module "core" {
  source = "./core"

  base_hostname = var.base_hostname
  use_wesher    = var.use_wesher

  # Metrics and Blocky depend on databases
  depends_on = [module.databases]
}

module "services" {
  source = "./services"

  base_hostname = var.base_hostname
  use_wesher    = var.use_wesher

  # NOTE: It may be possible to flip this and core so core templates don't
  # need to be rerendered every time a service goes up or down.
  depends_on = [module.databases, module.core]
}

module "backups" {
  source = "./backups"

  use_wesher = var.use_wesher

  depends_on = [module.databases, module.services, module.core]
}
